<template>
  <slot
    :connect="isN8NEnabled ? connect : upgradePlan"
    :has-integration="isN8NEnabled"
  />
  <app-n8n-connect-drawer v-model="drawerVisible" />
</template>

<script setup>
import { onMounted, ref } from 'vue';
import AppN8nConnectDrawer from '@/integrations/n8n/components/n8n-connect-drawer.vue';
import { FeatureFlag } from '@/utils/featureFlag';
import { useRouter } from 'vue-router';

const drawerVisible = ref(false);
const connect = () => {
  drawerVisible.value = true;
};
const router = useRouter();
const isN8NEnabled = ref(false);

onMounted(async () => {
  isN8NEnabled.value = FeatureFlag.isFlagEnabled(FeatureFlag.flags.n8n);
});

const upgradePlan = () => {
  router.push('/settings?activeTab=plans');
};

</script>

<script>
export default {
  name: 'AppN8nConnect',
};
</script>
